import {
  DATABASE_DEPLOYMENTS_URL,
  DATABASE_GENERAL_URL,
  DATABASE_SETTINGS_DANGER_ZONE_URL,
  DATABASE_SETTINGS_GENERAL_URL,
  DATABASE_SETTINGS_RESOURCES_URL,
  DATABASE_SETTINGS_URL,
  DATABASE_VARIABLES_URL,
  Route,
} from '@qovery/shared/router'
import PageDeploymentsFeature from '../feature/page-deployments-feature/page-deployments-feature'
import PageGeneralFeature from '../feature/page-general-feature/page-general-feature'
import PageSettingsDangerZoneFeature from '../feature/page-settings-danger-zone-feature/page-settings-danger-zone-feature'
import PageSettingsFeature from '../feature/page-settings-feature/page-settings-feature'
import PageSettingsGeneralFeature from '../feature/page-settings-general-feature/page-settings-general-feature'
import PageSettingsResourcesFeature from '../feature/page-settings-resources-feature/page-settings-resources-feature'
import PageVariablesFeature from '../feature/page-variables-feature/page-variables-feature'

export const ROUTER_DATABASE: Route[] = [
  {
    path: DATABASE_GENERAL_URL,
    component: <PageGeneralFeature />,
  },
  {
    path: DATABASE_DEPLOYMENTS_URL,
    component: <PageDeploymentsFeature />,
  },
  {
    path: DATABASE_VARIABLES_URL,
    component: <PageVariablesFeature />,
  },
  {
    path: `${DATABASE_SETTINGS_URL}/*`,
    component: <PageSettingsFeature />,
  },
]

export const ROUTER_DATABASE_SETTINGS: Route[] = [
  {
    path: DATABASE_SETTINGS_GENERAL_URL,
    component: <PageSettingsGeneralFeature />,
  },
  {
    path: DATABASE_SETTINGS_RESOURCES_URL,
    component: <PageSettingsResourcesFeature />,
  },
  {
    path: DATABASE_SETTINGS_DANGER_ZONE_URL,
    component: <PageSettingsDangerZoneFeature />,
  },
]
